// TFile.h: interface for the TFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TFILE_H__1D98E768_26DF_427D_8E04_3F712B5313E4__INCLUDED_)
#define AFX_TFILE_H__1D98E768_26DF_427D_8E04_3F712B5313E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SHELLAPI.H"

class CFileOp
{
public:
	CFileOp()
	{
	}
	virtual ~CFileOp()
	{
	}


public:
	HANDLE FileExecute(LPCTSTR lpszFile, LPCTSTR lpszParam = NULL, LPCTSTR lpszDir = NULL, const int nShowCmd = SW_NORMAL)
	{
		if (NULL == lpszFile || '\0' == *lpszFile)
			return NULL;
		
		SHELLEXECUTEINFO ShellInfo;
		ZeroMemory(&ShellInfo, sizeof(SHELLEXECUTEINFO));
		ShellInfo.cbSize		= sizeof(SHELLEXECUTEINFO);
		ShellInfo.fMask			= SEE_MASK_NOCLOSEPROCESS;
		ShellInfo.lpVerb		= "open";
		ShellInfo.lpFile		= lpszFile;
		ShellInfo.lpParameters	= lpszParam;
		ShellInfo.lpDirectory	= lpszDir;
		ShellInfo.nShow			= nShowCmd;
		
		return ShellExecuteEx(&ShellInfo) ? ShellInfo.hProcess : NULL;
	}

	BOOL FileExist(LPCTSTR lpszFile)
	{
		if (NULL == lpszFile || '\0' == *lpszFile)
			return FALSE;
		
		BOOL bRet;
		WIN32_FIND_DATA fd;
		memset(&fd, 0, sizeof(WIN32_FIND_DATA));
		HANDLE hFile = FindFirstFile(lpszFile, &fd);
		//ļڡ
		if (INVALID_HANDLE_VALUE == hFile)
			return FALSE;
		//ļǷΪĿ¼
		bRet = !(fd.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY);
		FindClose(hFile);
		
		return bRet;
	}
};

#endif // !defined(AFX_TFILE_H__1D98E768_26DF_427D_8E04_3F712B5313E4__INCLUDED_)
